Bug 492808 - RFE: Request alternate cman network communication option (broadcast instead of multicast)
RFE: Request alternate cman network communication option (broadcast instead ...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Steven Dake
Cluster QE
: FutureFeature
Depends On:
Blocks: RHEL5u4_relnotes 525802
  Show dependency treegraph
 
Reported: 2009-03-29 16:21 EDT by Brian Likosar
Modified: 2016-04-26 09:56 EDT (History)
11 users (show)

See Also:
Fixed In Version: openais-0.80.6-2.e5_4
Doc Type: Enhancement
Doc Text:
OpenAIS now provides broadcast network communication in addition to multicast. This functionality is considered Technology Preview for standalone usage of OpenAIS and for usage with the Cluster Suite. Note, however, that the functionality for configuring OpenAIS to use broadcast is not integrated into the cluster management tools and must be configured manually.
Story Points: ---
Clone Of:
: 500310 (view as bug list)
Environment:
Last Closed: 2009-09-02 07:30:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Likosar 2009-03-29 16:21:31 EDT
Many customers are interested in using RHCS but face a stumbling block with their network equipment and/or network standards with regard to multicast.  Submitting this RFE to provide an alternate means for cman's "heartbeats."
Comment 1 Steven Dake 2009-03-31 16:29:59 EDT
5.4 flags set to add "broadcast" option instead of multicast option.  Requires small change to cman as well as openais.
Comment 2 Perry Myers 2009-03-31 16:40:00 EDT
(In reply to comment #1)
> 5.4 flags set to add "broadcast" option instead of multicast option.  Requires
> small change to cman as well as openais.  

Impact to openais/cman are fairly minor, but what about impact to higher level tools like Conga?  Will there be ripple effect to other components?
Comment 3 Steven Dake 2009-03-31 16:57:50 EDT
chrissie are you ok with this change in cman config parameters?
Comment 4 Steven Dake 2009-03-31 17:02:43 EDT
in response to #2 if the field wants this feature supported in conga, they can file a separate configuration rfe bugzilla for conga.

regards
-steve
Comment 5 Steven Dake 2009-05-12 04:53:04 EDT
Honzaf,

Once corosync feature is finished, backport to whitetank and stable 2.

Thanks!
-steve
Comment 6 Christine Caulfield 2009-05-12 06:04:09 EDT
Yes, I'm very happy to make the changes to cman to support broadcast. I'm fairly sure it will be a small change.
Comment 10 Christine Caulfield 2009-05-26 06:34:27 EDT
commit 958bac9a2e8938fb743b89d268c765cb020b30f0
Author: Christine Caulfield <ccaulfie@redhat.com>
Date:   Tue May 26 11:32:13 2009 +0100

    cman: Allow use of broadcast communications
    
    The latest version of openais allows broadcast to be configured as
    an option. This makes it available from cman with the option
    <cman broadcast = "yes"/>
    
    bz# 492808
    
    Signed-off-by: Christine Caulfield <ccaulfie@redhat.com>
Comment 11 Chris Ward 2009-07-03 14:28:09 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 12 Perry Myers 2009-07-28 09:23:58 EDT
Release note added. If any revisions are required, please set the 
"requires_release_notes" flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

New Contents:
OpenAIS now provides broadcast network communication in addition to multicast.  This functionality is Tech Preview for standalone usage of OpenAIS and for usage with cluster suite.  The functionality for configuring OpenAIS to use broadcast has not been integrated into the cluster management tools and must be configured manually.
Comment 13 Ryan Lerch 2009-07-28 14:27:22 EDT
Release note updated. If any revisions are required, please set the 
"requires_release_notes"  flag to "?" and edit the "Release Notes" field accordingly.
All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-OpenAIS now provides broadcast network communication in addition to multicast.  This functionality is Tech Preview for standalone usage of OpenAIS and for usage with cluster suite.  The functionality for configuring OpenAIS to use broadcast has not been integrated into the cluster management tools and must be configured manually.+OpenAIS now provides broadcast network communication in addition to multicast. This functionality is considered Technology Preview for standalone usage of OpenAIS and for usage with the Cluster Suite. Note, however, that the functionality for configuring OpenAIS to use broadcast is not integrated into the cluster management tools and must be configured manually.
Comment 15 errata-xmlrpc 2009-09-02 07:30:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1366.html

Note You need to log in before you can comment on or make changes to this bug.